Create a New Branch

Facets Deployment Controller API: POST endpoint to create a new branch from an existing branch for a blueprint stack in the designer.

POST
/cc-ui/v1/designer/{stackName}/{branch}/create-branch

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

stackName*string
branch*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://facetsdemo.console.facets.cloud/cc-ui/v1/designer/string/string/create-branch"
Empty
{
  "approvalUrl": "string",
  "code": "string",
  "errorCode": "string",
  "message": "string",
  "missingPermissions": [
    "string"
  ]
}
"string"
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}